devel/libite - The NetBSD Packages Collection

Useful functions developed by both Finit and the OpenBSD project

Libite is a lightweight library of frog DNA. It can be used to fill
the gaps in any dinosaur project. It holds useful functions and
macros developed by both Finit and the OpenBSD project. Most notably
the string functions: strlcpy(3), strlcat(3) and the highly useful
*BSD sys/queue.h and sys/tree.h API's.

Libite aims to fill in the gaps missing in GLIBC/EGLIBC. (It does
not aim to become another GLIB though.) One such gap in GLIBC is
the missing _SAFE macros in sys/queue.h - highly recommended when
traversing lists to delete/free nodes.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibite-1.6.0.tgz
NetBSD 8.0earmv7hflibite-1.6.0.tgz
NetBSD 8.0earmv7hflibite-1.6.0.tgz
NetBSD 8.0i386libite-1.6.0.tgz
NetBSD 8.0i386libite-1.6.0.tgz
NetBSD 8.0powerpclibite-1.6.0.tgz
NetBSD 8.0powerpclibite-1.6.0.tgz
NetBSD 8.0powerpclibite-1.6.0.tgz
NetBSD 8.0powerpclibite-1.6.0.tgz
NetBSD 8.0x86_64libite-1.6.0.tgz
NetBSD 8.0x86_64libite-1.6.0.tgz
NetBSD 9.0aarch64libite-1.6.0.tgz
NetBSD 9.0aarch64libite-1.6.0.tgz
NetBSD 9.0aarch64libite-1.6.0.tgz
NetBSD 9.0alphalibite-1.6.0.tgz
NetBSD 9.0alphalibite-1.6.0.tgz
NetBSD 9.0alphalibite-1.6.0.tgz
NetBSD 9.0earmlibite-1.6.0.tgz
NetBSD 9.0earmlibite-1.6.0.tgz
NetBSD 9.0earmlibite-1.6.0.tgz
NetBSD 9.0earmv6hflibite-1.6.0.tgz
NetBSD 9.0earmv6hflibite-1.6.0.tgz
NetBSD 9.0earmv6hflibite-1.6.0.tgz
NetBSD 9.0earmv7hflibite-1.6.0.tgz
NetBSD 9.0earmv7hflibite-1.6.0.tgz
NetBSD 9.0earmv7hflibite-1.6.0.tgz
NetBSD 9.0earmv7hflibite-1.6.0.tgz
NetBSD 9.0i386libite-1.6.0.tgz
NetBSD 9.0i386libite-1.6.0.tgz
NetBSD 9.0mips64eblibite-1.6.0.tgz
NetBSD 9.0mips64eblibite-1.6.0.tgz
NetBSD 9.0mips64eblibite-1.6.0.tgz
NetBSD 9.0mips64eblibite-1.6.0.tgz
NetBSD 9.0mips64eblibite-1.6.0.tgz
NetBSD 9.0powerpclibite-1.6.0.tgz
NetBSD 9.0powerpclibite-1.6.0.tgz
NetBSD 9.0powerpclibite-1.6.0.tgz
NetBSD 9.0powerpclibite-1.6.0.tgz
NetBSD 9.0sh3ellibite-1.6.0.tgz
NetBSD 9.0sh3ellibite-1.6.0.tgz
NetBSD 9.0sh3ellibite-1.6.0.tgz
NetBSD 9.0sparc64libite-1.6.0.tgz
NetBSD 9.0sparc64libite-1.6.0.tgz
NetBSD 9.0sparc64libite-1.6.0.tgz
NetBSD 9.0sparclibite-1.6.0.tgz
NetBSD 9.0sparclibite-1.6.0.tgz
NetBSD 9.0sparclibite-1.6.0.tgz
NetBSD 9.0sparclibite-1.6.0.tgz
NetBSD 9.0sparclibite-1.6.0.tgz
NetBSD 9.0vaxlibite-1.6.0.tgz
NetBSD 9.0vaxlibite-1.6.0.tgz
NetBSD 9.0vaxlibite-1.6.0.tgz
NetBSD 9.0x86_64libite-1.6.0.tgz
NetBSD 9.0x86_64libite-1.6.0.tgz
NetBSD 9.0x86_64libite-1.6.0.tgz
NetBSD 9.0x86_64libite-1.6.0.tgz
NetBSD 9.0x86_64libite-1.6.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.